Changeset 205 for ThirdParty/FilterSQP


Ignore:
Timestamp:
Dec 29, 2006 3:02:14 PM (13 years ago)
Author:
andreasw
Message:

reran autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/FilterSQP/trunk/configure

    r173 r205  
    18081808if test x"$CXX" != x; then
    18091809  case "$CXX" in
    1810     cl* | */cl*)
     1810    cl* | */cl* | CL* | */CL*)
    18111811      if test x"$CC" = x; then
    18121812        CC="$CXX"
     
    25562556# Autoconf incorrectly concludes that cl recognises -g. It doesn't.
    25572557case "$CC" in
    2558   cl* | */cl*)
     2558  cl* | */cl* | CL* | */CL* )
    25592559    if test "$ac_cv_prog_cc_g" = yes ; then
    25602560      ac_cv_prog_cc_g=no
     
    26482648      *-cygwin* | *-mingw*)
    26492649        case "$CC" in
    2650           cl* | */cl*)
     2650          cl* | */cl* | CL* | */CL*)
    26512651            coin_opt_cflags='-O2'
    26522652            coin_add_cflags='-nologo'
    2653             coin_dbg_cflags='-Yd'
     2653            coin_dbg_cflags='-MTd'
    26542654            ;;
    26552655        esac
     
    28262826fi
    28272827
    2828 # Check if user wants to have additional CFLAGS options
    2829 
    2830 if test x"$ADD_CFLAGS" != x; then
    2831   CFLAGS="$CFLAGS $ADD_CFLAGS"
    2832 fi
    2833 
    28342828# Try if CFLAGS works
    28352829save_CFLAGS="$CFLAGS"
     
    29482942# Correct ADDLIBS initialization if we are using the MS compiler
    29492943case "$CC" in
    2950   cl* | */cl*)
     2944  cl* | */cl* | CL* | */CL*)
    29512945    ADDLIBS=
    29522946    case $build in
     
    30893083
    30903084# Provide some information about the compiler.
    3091 echo "$as_me:3091:" \
     3085echo "$as_me:3085:" \
    30923086     "checking for Fortran 77 compiler version" >&5
    30933087ac_compiler=`set X $ac_compile; echo $2`
     
    33043298      *-cygwin* | *-mingw*)
    33053299        case $F77 in
    3306           ifort* | */ifort*)
     3300          ifort* | */ifort* | IFORT* | */IFORT* )
    33073301            coin_opt_fflags='-O3'
    33083302            coin_add_fflags='-nologo -MT'
     
    53925386
    53935387fi
    5394 if test "x$LIBTOOL" = x; then
    5395   echo "$as_me:$LINENO: checking for ../../../libtool" >&5
    5396 echo $ECHO_N "checking for ../../../libtool... $ECHO_C" >&6
    5397 if test "${ac_cv_file__________libtool+set}" = set; then
    5398   echo $ECHO_N "(cached) $ECHO_C" >&6
    5399 else
    5400   test "$cross_compiling" = yes &&
    5401   { { echo "$as_me:$LINENO: error: cannot check for file existence when cross compiling" >&5
    5402 echo "$as_me: error: cannot check for file existence when cross compiling" >&2;}
    5403    { (exit 1); exit 1; }; }
    5404 if test -r "../../../libtool"; then
    5405   ac_cv_file__________libtool=yes
    5406 else
    5407   ac_cv_file__________libtool=no
    5408 fi
    5409 fi
    5410 echo "$as_me:$LINENO: result: $ac_cv_file__________libtool" >&5
    5411 echo "${ECHO_T}$ac_cv_file__________libtool" >&6
    5412 if test $ac_cv_file__________libtool = yes; then
    5413   coin_config_dir=../../..
    5414                  LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'
    5415 fi
    5416 
    5417 fi
     5388#if test "x$LIBTOOL" = x; then
     5389#  AC_CHECK_FILE([../../../libtool],
     5390#                [coin_config_dir=../../..
     5391#                 LIBTOOL='$(SHELL) $(top_builddir)/../../../libtool'])
     5392#fi
    54185393
    54195394if test "x$LIBTOOL" = x; then
     
    60486023*-*-irix6*)
    60496024  # Find out which ABI we are using.
    6050   echo '#line 6050 "configure"' > conftest.$ac_ext
     6025  echo '#line 6025 "configure"' > conftest.$ac_ext
    60516026  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60526027  (eval $ac_compile) 2>&5
     
    85868561   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85878562   -e 's:$: $lt_compiler_flag:'`
    8588    (eval echo "\"\$as_me:8588: $lt_compile\"" >&5)
     8563   (eval echo "\"\$as_me:8563: $lt_compile\"" >&5)
    85898564   (eval "$lt_compile" 2>conftest.err)
    85908565   ac_status=$?
    85918566   cat conftest.err >&5
    8592    echo "$as_me:8592: \$? = $ac_status" >&5
     8567   echo "$as_me:8567: \$? = $ac_status" >&5
    85938568   if (exit $ac_status) && test -s "$ac_outfile"; then
    85948569     # The compiler can only warn and ignore the option if not recognized
     
    88548829   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    88558830   -e 's:$: $lt_compiler_flag:'`
    8856    (eval echo "\"\$as_me:8856: $lt_compile\"" >&5)
     8831   (eval echo "\"\$as_me:8831: $lt_compile\"" >&5)
    88578832   (eval "$lt_compile" 2>conftest.err)
    88588833   ac_status=$?
    88598834   cat conftest.err >&5
    8860    echo "$as_me:8860: \$? = $ac_status" >&5
     8835   echo "$as_me:8835: \$? = $ac_status" >&5
    88618836   if (exit $ac_status) && test -s "$ac_outfile"; then
    88628837     # The compiler can only warn and ignore the option if not recognized
     
    89588933   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    89598934   -e 's:$: $lt_compiler_flag:'`
    8960    (eval echo "\"\$as_me:8960: $lt_compile\"" >&5)
     8935   (eval echo "\"\$as_me:8935: $lt_compile\"" >&5)
    89618936   (eval "$lt_compile" 2>out/conftest.err)
    89628937   ac_status=$?
    89638938   cat out/conftest.err >&5
    8964    echo "$as_me:8964: \$? = $ac_status" >&5
     8939   echo "$as_me:8939: \$? = $ac_status" >&5
    89658940   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    89668941   then
     
    1130311278  lt_status=$lt_dlunknown
    1130411279  cat > conftest.$ac_ext <<EOF
    11305 #line 11305 "configure"
     11280#line 11280 "configure"
    1130611281#include "confdefs.h"
    1130711282
     
    1140311378  lt_status=$lt_dlunknown
    1140411379  cat > conftest.$ac_ext <<EOF
    11405 #line 11405 "configure"
     11380#line 11380 "configure"
    1140611381#include "confdefs.h"
    1140711382
     
    1374713722   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1374813723   -e 's:$: $lt_compiler_flag:'`
    13749    (eval echo "\"\$as_me:13749: $lt_compile\"" >&5)
     13724   (eval echo "\"\$as_me:13724: $lt_compile\"" >&5)
    1375013725   (eval "$lt_compile" 2>conftest.err)
    1375113726   ac_status=$?
    1375213727   cat conftest.err >&5
    13753    echo "$as_me:13753: \$? = $ac_status" >&5
     13728   echo "$as_me:13728: \$? = $ac_status" >&5
    1375413729   if (exit $ac_status) && test -s "$ac_outfile"; then
    1375513730     # The compiler can only warn and ignore the option if not recognized
     
    1385113826   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1385213827   -e 's:$: $lt_compiler_flag:'`
    13853    (eval echo "\"\$as_me:13853: $lt_compile\"" >&5)
     13828   (eval echo "\"\$as_me:13828: $lt_compile\"" >&5)
    1385413829   (eval "$lt_compile" 2>out/conftest.err)
    1385513830   ac_status=$?
    1385613831   cat out/conftest.err >&5
    13857    echo "$as_me:13857: \$? = $ac_status" >&5
     13832   echo "$as_me:13832: \$? = $ac_status" >&5
    1385813833   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1385913834   then
     
    1542115396   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1542215397   -e 's:$: $lt_compiler_flag:'`
    15423    (eval echo "\"\$as_me:15423: $lt_compile\"" >&5)
     15398   (eval echo "\"\$as_me:15398: $lt_compile\"" >&5)
    1542415399   (eval "$lt_compile" 2>conftest.err)
    1542515400   ac_status=$?
    1542615401   cat conftest.err >&5
    15427    echo "$as_me:15427: \$? = $ac_status" >&5
     15402   echo "$as_me:15402: \$? = $ac_status" >&5
    1542815403   if (exit $ac_status) && test -s "$ac_outfile"; then
    1542915404     # The compiler can only warn and ignore the option if not recognized
     
    1552515500   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1552615501   -e 's:$: $lt_compiler_flag:'`
    15527    (eval echo "\"\$as_me:15527: $lt_compile\"" >&5)
     15502   (eval echo "\"\$as_me:15502: $lt_compile\"" >&5)
    1552815503   (eval "$lt_compile" 2>out/conftest.err)
    1552915504   ac_status=$?
    1553015505   cat out/conftest.err >&5
    15531    echo "$as_me:15531: \$? = $ac_status" >&5
     15506   echo "$as_me:15506: \$? = $ac_status" >&5
    1553215507   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1553315508   then
     
    1773217707   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1773317708   -e 's:$: $lt_compiler_flag:'`
    17734    (eval echo "\"\$as_me:17734: $lt_compile\"" >&5)
     17709   (eval echo "\"\$as_me:17709: $lt_compile\"" >&5)
    1773517710   (eval "$lt_compile" 2>conftest.err)
    1773617711   ac_status=$?
    1773717712   cat conftest.err >&5
    17738    echo "$as_me:17738: \$? = $ac_status" >&5
     17713   echo "$as_me:17713: \$? = $ac_status" >&5
    1773917714   if (exit $ac_status) && test -s "$ac_outfile"; then
    1774017715     # The compiler can only warn and ignore the option if not recognized
     
    1800017975   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1800117976   -e 's:$: $lt_compiler_flag:'`
    18002    (eval echo "\"\$as_me:18002: $lt_compile\"" >&5)
     17977   (eval echo "\"\$as_me:17977: $lt_compile\"" >&5)
    1800317978   (eval "$lt_compile" 2>conftest.err)
    1800417979   ac_status=$?
    1800517980   cat conftest.err >&5
    18006    echo "$as_me:18006: \$? = $ac_status" >&5
     17981   echo "$as_me:17981: \$? = $ac_status" >&5
    1800717982   if (exit $ac_status) && test -s "$ac_outfile"; then
    1800817983     # The compiler can only warn and ignore the option if not recognized
     
    1810418079   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1810518080   -e 's:$: $lt_compiler_flag:'`
    18106    (eval echo "\"\$as_me:18106: $lt_compile\"" >&5)
     18081   (eval echo "\"\$as_me:18081: $lt_compile\"" >&5)
    1810718082   (eval "$lt_compile" 2>out/conftest.err)
    1810818083   ac_status=$?
    1810918084   cat out/conftest.err >&5
    18110    echo "$as_me:18110: \$? = $ac_status" >&5
     18085   echo "$as_me:18085: \$? = $ac_status" >&5
    1811118086   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1811218087   then
     
    2076420739
    2076520740
    20766 # NEW: If libtool exists in the directory higher up, we use that one
    20767 #      instead of creating a new one
    20768 
    20769 if test "x$LIBTOOL" = x; then
    20770   # We check for this header here in a non-standard way to avoid warning
    20771   # messages
     20741# We check for this header here in a non-standard way to avoid warning
     20742# messages
    2077220743
    2077320744
     
    2078420755# - paths generated for .lib files is not run through cygpath -w
    2078520756
    20786 
    20787 # - lib includes subdirectory information; we want to replace
    20788 #
    20789 # old_archive_cmds="lib /OUT:\$oldlib\$oldobjs\$old_deplibs"
    20790 #
    20791 # by
    20792 #
    20793 # old_archive_cmds="echo \$oldlib | grep .libs >/dev/null; if test \$? = 0; then cd .libs; lib /OUT:\`echo \$oldlib\$oldobjs\$old_deplibs | sed -e s@\.libs/@@g\`; cd .. ; else lib /OUT:\$oldlib\$oldobjs\$old_deplibs ; fi"
    20794 #
    20795 #          -e 's%old_archive_cmds="lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs"%old_archive_cmds="echo \\\$oldlib \| grep .libs >/dev/null; if test \\\$? = 0; then cd .libs; lib /OUT:\\\`echo \\\$oldlib\\\$oldobjs\\\$old_deplibs \| sed -e s@\\.libs/@@g\\\`; cd .. ; else lib /OUT:\\\$oldlib\\\$oldobjs\\\$old_deplibs; fi"%' \
    20796 
    20797 # The following was a hack for chaniing @BACKSLASH to \
    20798 #          -e 'sYcompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"'`Ycompile_command=`\$echo "X\$compile_command" | \$Xsed -e '"'"'s%@OUTPUT@%'"'"'"\$output"'"'"'%g'"'"' | \$Xsed -e '"'"'s%@BACKSLASH@%\\\\\\\\\\\\\\\\%g'"'"'`Y' \
    20799 
    20800   # Correct cygpath for minGW (ToDo!)
    20801   case $build in
    20802     *-mingw*)
    20803       CYGPATH_W=echo
     20757# Correct cygpath for minGW (ToDo!)
     20758case $build in
     20759  *-mingw*)
     20760    CYGPATH_W=echo
     20761    ;;
     20762esac
     20763
     20764case $build in
     20765  *-cygwin* | *-mingw*)
     20766  case "$CXX" in
     20767    cl* | */cl* | CL* | */CL*)
     20768      { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
     20769echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
     20770      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20771          -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20772          -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20773          -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
     20774          -e 's%lib /OUT:%lib -OUT:%' \
     20775          -e "s%cygpath -w%$CYGPATH_W%" \
     20776          -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
     20777          -e 's/$AR t/lib -nologo -list/' \
     20778          -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
     20779          -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
     20780      libtool > conftest.bla
     20781
     20782      mv conftest.bla libtool
     20783      chmod 755 libtool
     20784      ;;
     20785    *)
     20786      { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
     20787echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
     20788      sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
     20789          -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
     20790          -e 's|libext="lib"|libext="a"|' \
     20791      libtool > conftest.bla
     20792
     20793      mv conftest.bla libtool
     20794      chmod 755 libtool
    2080420795      ;;
    2080520796  esac
    20806 
    20807   case $build in
    20808     *-cygwin* | *-mingw*)
    20809     case "$CXX" in
    20810       cl* | */cl*)
    20811         { echo "$as_me:$LINENO: Applying patches to libtool for cl compiler" >&5
    20812 echo "$as_me: Applying patches to libtool for cl compiler" >&6;}
    20813         sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20814             -e 's|fix_srcfile_path=\"\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20815             -e 's%compile_deplibs=\"\$dir/\$old_library \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$old_library | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20816             -e 's%compile_deplibs=\"\$dir/\$linklib \$compile_deplibs\"%compile_deplibs="'\`"$CYGPATH_W"' \$dir/\$linklib | sed -e '"'"'sY\\\\\\\\Y/Yg'"'"\`' \$compile_deplibs\"'% \
    20817             -e 's%lib /OUT:%lib -OUT:%' \
    20818             -e "s%cygpath -w%$CYGPATH_W%" \
    20819             -e 's%$AR x \\$f_ex_an_ar_oldlib%bla=\\`lib -nologo -list \\$f_ex_an_ar_oldlib | xargs echo\\`; echo \\$bla; for i in \\$bla; do lib -nologo -extract:\\$i \\$f_ex_an_ar_oldlib; done%' \
    20820             -e 's/$AR t/lib -nologo -list/' \
    20821             -e 's%f_ex_an_ar_oldlib="\($?*1*\)"%f_ex_an_ar_oldlib='\`"$CYGPATH_W"' \1`%' \
    20822             -e  's%^archive_cmds=.*%archive_cmds="\\$CC -o \\$lib \\$libobjs \\$compiler_flags \\\\\\`echo \\\\\\"\\$deplibs\\\\\\" | \\$SED -e '"\'"'s/ -lc\\$//'"\'"'\\\\\\` -link -dll~linknames="%' \
    20823         libtool > conftest.bla
    20824 
    20825         mv conftest.bla libtool
    20826         chmod 755 libtool
    20827         ;;
    20828       *)
    20829         { echo "$as_me:$LINENO: Applying patches to libtool for GNU compiler" >&5
    20830 echo "$as_me: Applying patches to libtool for GNU compiler" >&6;}
    20831         sed -e 's|fix_srcfile_path=\"`cygpath -w \"\$srcfile\"`\"|fix_srcfile_path=\"\\\`'"$CYGPATH_W"' \\\"\\$srcfile\\\"\\\`\"|' \
    20832             -e 's|"lib /OUT:\\$oldlib\\$oldobjs\\$old_deplibs"|"\\$AR \\$AR_FLAGS \\$oldlib\\$oldobjs\\$old_deplibs~\\$RANLIB \\$oldlib"|' \
    20833             -e 's|libext="lib"|libext="a"|' \
    20834         libtool > conftest.bla
    20835 
    20836         mv conftest.bla libtool
    20837         chmod 755 libtool
    20838         ;;
    20839     esac
    20840   esac
    20841 fi
    20842 
     20797esac
    2084320798
    2084420799
     
    2095120906
    2095220907case "$CC" in
    20953   cl* | */cl*)
     20908  cl* | */cl* | CL* | */CL*)
    2095420909       LIBEXT=lib ;;
    2095520910    *) LIBEXT=a ;;
     
    2225422209  fi
    2225522210  case "$CC" in
    22256     cl* | */cl*)
     22211    cl* | */cl* | CL* | */CL*)
    2225722212      lnkcmd=cp ;;
    2225822213  esac
Note: See TracChangeset for help on using the changeset viewer.